package cn.com.ctop.oa.modules.mapper;

import cn.com.ctop.oa.modules.entity.WechatAttendance;
import cn.com.ctop.oa.modules.entity.WechatNoList;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * 审批信息
 *
 * @author: jeecg-boot
 * @date: 2020-09-23
 * @cersion: V1.0
 */
public interface WechatNoListMapper extends BaseMapper<WechatNoList> {

    List<WechatAttendance> queryAttendanceData(Map<String, Object> paramsMap);

    List<WechatAttendance> queryYRAttendanceData(Map<String, Object> paramsMap);

    List<WechatAttendance> queryOverTimeData(Map<String, Object> paramsMap);

    List<WechatAttendance> queryYROverTimeData(Map<String, Object> paramsMap);
}
